RagTime5ClusterManagerInternal::ClusterInformation Struct Reference

cluster information More...

## Public Member Functions

| ClusterInformation ()
| constructor

## Public Attributes

int | m_type
| the cluster type
int | m_fileType
| the cluster file type
librevenge::RVNGString | m_name
| the cluster name

## Friends

std::ostream & | operator<< (std::ostream &o, ClusterInformation const &info)
| operator<<

## Detailed Description

cluster information

## Constructor & Destructor Documentation

## ClusterInformation()

RagTime5ClusterManagerInternal::ClusterInformation::ClusterInformation | ( |  | ) |

inline

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | ClusterInformation const & | info )

friend

operator<<

## Member Data Documentation

## m_fileType

int RagTime5ClusterManagerInternal::ClusterInformation::m_fileType

the cluster file type

Referenced by ClusterInformation(), operator<<, and RagTime5ClusterManager::readClusterMainList().

## m_name

librevenge::RVNGString RagTime5ClusterManagerInternal::ClusterInformation::m_name

the cluster name

Referenced by ClusterInformation(), operator<<, and RagTime5ClusterManager::readClusterMainList().

## m_type

int RagTime5ClusterManagerInternal::ClusterInformation::m_type

the cluster type

Referenced by ClusterInformation(), operator<<, and RagTime5ClusterManager::readClusterMainList().

The documentation for this struct was generated from the following file:

- RagTime5ClusterManager.cxx